<div *ngIf="artist" class="main-container animated fadeIn fast">
  <div class="container">
    <div class="row">
        <div class="col-md-3 text-center">
          <img [src]="artist.images | withoutPhoto" class="img-thumbnail img-circle">
          <br>
        </div>
        <div class="col-md-9">
          <h3>{{ artist.name }} <small>Popularity {{ artist.popularity }}</small></h3>
          <hr>
          <a [href]="artist.external_urls?.spotify"
            class="btn btn-outline-success">See page</a>
          <a [routerLink]="['/search']"
            class="btn btn-outline-warning">Back</a>
        </div>
    </div>
  </div>

  <div class="container" *ngIf="topTracks">

    <h3>Top de {{ artist.name }}</h3>
    <hr>
    <div class="row">
      <div class="col-md-12">
        <div class="table-responsive">

          <table class="table table-inverse table-hover">
            <thead>
              <tr>
                <th>#</th>
                <th>Photo</th>
                <th>Track</th>
                <th>Popularity</th>
                <td>Preview</td>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let track of topTracks; let i = index;">
                <td>{{ i + 1}}</td>
                <td>
                  <img [src]="track.album?.images | withoutPhoto" alt="" class="img-fluid img-thumbnail img-50">
                </td>
                <td>{{ track.name}}</td>
                <td>{{ track.popularity }}%</td>
                <td>
                  <!-- <audio controls>
                    <source [src]="track.preview_url">
                      Your broser is very old
                  </audio> -->

                  <iframe [src]=" track.uri | domseguro : 'https://open.spotify.com/embed?uri='" width="300" height="80" frameborder="0" allowtransparency="true"></iframe>

                </td>
              </tr>
            </tbody>

          </table>

        </div>
      </div>
    </div>

  </div>

</div>
